/*
*  qm_trayicon.h
*  QUIMUP mpd system-tray-icon class
*  (c) 2008-2010 Johan Spee
*
*  This file is part of Quimup
*
*  QUIMUP is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  QUIMUP is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program. If not, see http://www.gnu.org/licenses/.
*/

#ifndef QM_TRAYICON_H
#define QM_TRAYICON_H

#include <QSystemTrayIcon>
#include <QMenu>
#include <QWheelEvent>
#include <QObject>
#include "qm_widget_ids.h"
#include "qm_mpdcom.h"

class qm_trayIcon : public QSystemTrayIcon
{
	Q_OBJECT

public:
	qm_trayIcon(QWidget *);
	void setTip(QString);
	void set_mode(int);
	void set_mpdCom(qm_mpdCom*, bool);
	virtual ~qm_trayIcon();
	
public slots:


signals:
	void clicked();
	void traySignal_menu(int);
	
private:
	bool event(QEvent *);
	bool mpd_connected;
	qm_mpdCom *mpdCom;
	
	QAction
	*m_prevAction,
	*m_playpauseAction,
	*m_stopAction,
	*m_nextAction,
	*m_showHideAction,
	*m_quitAction;
	
	QColor m_prevColor;
	
	QPixmap
	pxb_st_noconn,
	pxb_st_paused,
	pxb_st_playing,
	pxb_st_stopped,
	pxb_st_idle,
	pxb_prev,
	pxb_stop,
	pxb_play,
	pxb_pause,
	pxb_next,
	pxb_exit;
	
private slots:
	void action(QSystemTrayIcon::ActivationReason);
	void on_prevAction();
	void on_stopAction();
	void on_playAction();
	void on_nextAction();
	void on_quitAction();
	
};
#endif // QM_TRAYICON_H
